<?xml version="1.0" encoding="UTF-8"?>
<Flow xmlns="http://soap.sforce.com/2006/04/metadata">
    <apiVersion>49.0</apiVersion>
    <decisions>
        <name>Email_Match</name>
        <label>Email Match</label>
        <locationX>462</locationX>
        <locationY>112</locationY>
        <defaultConnector>
            <targetReference>Create_Contact</targetReference>
        </defaultConnector>
        <defaultConnectorLabel>No Match</defaultConnectorLabel>
        <rules>
            <name>EmailMatch</name>
            <conditionLogic>and</conditionLogic>
            <conditions>
                <leftValueReference>Contact.Id</leftValueReference>
                <operator>IsNull</operator>
                <rightValue>
                    <booleanValue>false</booleanValue>
                </rightValue>
            </conditions>
            <conditions>
                <leftValueReference>Contact.Email</leftValueReference>
                <operator>IsNull</operator>
                <rightValue>
                    <booleanValue>false</booleanValue>
                </rightValue>
            </conditions>
            <label>EmailMatch</label>
        </rules>
    </decisions>
    <formulas>
        <name>Email2FirstName</name>
        <dataType>String</dataType>
        <expression>UPPER(LEFT({!Case.Lessee_Email__c}, 1))&amp;IF(CONTAINS(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;@&quot;,{!Case.Lessee_Email__c})-2), &quot;.&quot;), LOWER(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;.&quot;,{!Case.Lessee_Email__c})-2)), LOWER(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;@&quot;,{!Case.Lessee_Email__c})-2)))</expression>
    </formulas>
    <formulas>
        <name>Email2FullName</name>
        <dataType>String</dataType>
        <expression>UPPER(LEFT({!Case.Lessee_Email__c}, 1))&amp;IF(CONTAINS(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;@&quot;,{!Case.Lessee_Email__c})-2), &quot;.&quot;), LOWER(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;@&quot;,{!Case.Lessee_Email__c})-2)), LOWER(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;@&quot;,{!Case.Lessee_Email__c})-2)))</expression>
    </formulas>
    <formulas>
        <name>Email2LastName</name>
        <dataType>String</dataType>
        <expression>RIGHT({!Email2FullName}, FIND(&quot;.&quot;, {!Email2FullName}) -2)</expression>
    </formulas>
    <interviewLabel>Property Signer to Contact {!$Flow.CurrentDateTime}</interviewLabel>
    <label>Property Signer to Contact</label>
    <processMetadataValues>
        <name>BuilderType</name>
        <value>
            <stringValue>LightningFlowBuilder</stringValue>
        </value>
    </processMetadataValues>
    <processMetadataValues>
        <name>OriginBuilderType</name>
        <value>
            <stringValue>LightningFlowBuilder</stringValue>
        </value>
    </processMetadataValues>
    <processType>AutoLaunchedFlow</processType>
    <recordCreates>
        <name>Create_Contact</name>
        <label>Create Contact</label>
        <locationX>469</locationX>
        <locationY>317</locationY>
        <assignRecordIdToReference>Contact2.Id</assignRecordIdToReference>
        <connector>
            <targetReference>OppContactRole</targetReference>
        </connector>
        <inputAssignments>
            <field>AccountId</field>
            <value>
                <elementReference>OppInfo.AccountId</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Email</field>
            <value>
                <elementReference>OppInfo.Property_Signer_s_Email__c</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>LastName</field>
            <value>
                <elementReference>OppInfo.Property_Signer_s_Name__c</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Role__c</field>
            <value>
                <stringValue>Contract Signer</stringValue>
            </value>
        </inputAssignments>
        <object>Contact</object>
    </recordCreates>
    <recordCreates>
        <name>OppContactRole</name>
        <label>OppContactRole</label>
        <locationX>654</locationX>
        <locationY>317</locationY>
        <inputAssignments>
            <field>ContactId</field>
            <value>
                <elementReference>Contact2.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>OpportunityId</field>
            <value>
                <elementReference>OppInfo.Id</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Role</field>
            <value>
                <stringValue>Property Signer</stringValue>
            </value>
        </inputAssignments>
        <object>OpportunityContactRole</object>
        <storeOutputAutomatically>true</storeOutputAutomatically>
    </recordCreates>
    <recordLookups>
        <name>Get_Contact</name>
        <label>Get Contact</label>
        <locationX>319</locationX>
        <locationY>109</locationY>
        <assignNullValuesIfNoRecordsFound>true</assignNullValuesIfNoRecordsFound>
        <connector>
            <targetReference>Email_Match</targetReference>
        </connector>
        <filterLogic>and</filterLogic>
        <filters>
            <field>AccountId</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>OppInfo.Account.Id</elementReference>
            </value>
        </filters>
        <filters>
            <field>Email</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>OppInfo.Property_Signer_s_Email__c</elementReference>
            </value>
        </filters>
        <object>Contact</object>
        <outputAssignments>
            <assignToReference>Contact.Email</assignToReference>
            <field>Email</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>Contact.Id</assignToReference>
            <field>Id</field>
        </outputAssignments>
    </recordLookups>
    <recordLookups>
        <name>OppInfo</name>
        <label>OppInfo</label>
        <locationX>169</locationX>
        <locationY>109</locationY>
        <assignNullValuesIfNoRecordsFound>false</assignNullValuesIfNoRecordsFound>
        <connector>
            <targetReference>Get_Contact</targetReference>
        </connector>
        <filterLogic>and</filterLogic>
        <filters>
            <field>Id</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>OppFromPBuilder.Id</elementReference>
            </value>
        </filters>
        <getFirstRecordOnly>true</getFirstRecordOnly>
        <object>Opportunity</object>
        <sortField>Id</sortField>
        <sortOrder>Asc</sortOrder>
        <storeOutputAutomatically>true</storeOutputAutomatically>
    </recordLookups>
    <start>
        <locationX>39</locationX>
        <locationY>42</locationY>
        <connector>
            <targetReference>OppInfo</targetReference>
        </connector>
    </start>
    <status>Active</status>
    <variables>
        <name>Case</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Case</objectType>
    </variables>
    <variables>
        <name>Contact</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Contact</objectType>
    </variables>
    <variables>
        <name>Contact2</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Contact</objectType>
    </variables>
    <variables>
        <name>DISHContract</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>DISH_Contract__c</objectType>
    </variables>
    <variables>
        <name>OppFromPBuilder</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Opportunity</objectType>
    </variables>
    <variables>
        <name>ParentAccountId</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Account</objectType>
    </variables>
    <variables>
        <name>VarEmail2FirstName</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <value>
            <elementReference>Email2FirstName</elementReference>
        </value>
    </variables>
</Flow>
